## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASECatalogImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASECatalogImpl

All Implemented Interfaces:
  SybaseASECatalog, Catalog, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalog

    public class SybaseASECatalogImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
implements SybaseASECatalog

An implementation of the model object 'Sybase ASE Catalog'.

The following features are implemented:

- `Segments`
- `Data Devices`
- `Log Devices`
- `Override`
- `Default Location`
- `For Load`
- `For Proxy Update`
- `Log IO Size`
- `Recovery Order`
- `Authorization Ids`
- `Cache`
- `Catalog Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SybaseASECache` `basicGetCache()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getAuthorizationIds()`
`SybaseASECache` `getCache()`
`SybaseASECatalogType` `getCatalogType()`
`org.eclipse.emf.common.util.EList` `getDataDevices()`
`java.lang.String` `getDefaultLocation()`
`org.eclipse.emf.common.util.EList` `getLogDevices()`
`int` `getLogIOSize()`
`int` `getRecoveryOrder()`
`org.eclipse.emf.common.util.EList` `getSegments()`
`boolean` `isForLoad()`
`boolean` `isForProxyUpdate()`
`boolean` `isOverride()`
`void` `setCache(SybaseASECache newCache)`
`void` `setCatalogType(SybaseASECatalogType newCatalogType)`
`void` `setDefaultLocation(java.lang.String newDefaultLocation)`
`void` `setForLoad(boolean newForLoad)`
`void` `setForProxyUpdate(boolean newForProxyUpdate)`
`void` `setLogIOSize(int newLogIOSize)`
`void` `setOverride(boolean newOverride)`
`void` `setRecoveryOrder(int newRecoveryOrder)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
`basicGetDatabase, basicSetDatabase, getDatabase, getSchemas, setDatabase`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Catalog
`getDatabase, getSchemas, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getSegments

    public org.eclipse.emf.common.util.EList getSegments()

  Specified by:
    `getSegments` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Segments' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_Segments()`, `SybaseASESegment.getCatalog()`

### getDataDevices

    public org.eclipse.emf.common.util.EList getDataDevices()

  Specified by:
    `getDataDevices` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Data Devices' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_DataDevices()`

### getLogDevices

    public org.eclipse.emf.common.util.EList getLogDevices()

  Specified by:
    `getLogDevices` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Log Devices' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_LogDevices()`

### isOverride

    public boolean isOverride()

  Specified by:
    `isOverride` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Override' attribute.
  See Also:
    `SybaseASECatalog.setOverride(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_Override()`

### setOverride

    public void setOverride(boolean newOverride)

  Specified by:
    `setOverride` in interface `SybaseASECatalog`
  Parameters:
    `newOverride` - the new value of the 'Override' attribute.
  See Also:
    `SybaseASECatalog.isOverride()`

### getDefaultLocation

    public java.lang.String getDefaultLocation()

  Specified by:
    `getDefaultLocation` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Default Location' attribute.
  See Also:
    `SybaseASECatalog.setDefaultLocation(String)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_DefaultLocation()`

### setDefaultLocation

    public void setDefaultLocation(java.lang.String newDefaultLocation)

  Specified by:
    `setDefaultLocation` in interface `SybaseASECatalog`
  Parameters:
    `newDefaultLocation` - the new value of the 'Default Location' attribute.
  See Also:
    `SybaseASECatalog.getDefaultLocation()`

### isForLoad

    public boolean isForLoad()

  Specified by:
    `isForLoad` in interface `SybaseASECatalog`
  Returns:
    the value of the 'For Load' attribute.
  See Also:
    `SybaseASECatalog.setForLoad(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_ForLoad()`

### setForLoad

    public void setForLoad(boolean newForLoad)

  Specified by:
    `setForLoad` in interface `SybaseASECatalog`
  Parameters:
    `newForLoad` - the new value of the 'For Load' attribute.
  See Also:
    `SybaseASECatalog.isForLoad()`

### isForProxyUpdate

    public boolean isForProxyUpdate()

  Specified by:
    `isForProxyUpdate` in interface `SybaseASECatalog`
  Returns:
    the value of the 'For Proxy Update' attribute.
  See Also:
    `SybaseASECatalog.setForProxyUpdate(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_ForProxyUpdate()`

### setForProxyUpdate

    public void setForProxyUpdate(boolean newForProxyUpdate)

  Specified by:
    `setForProxyUpdate` in interface `SybaseASECatalog`
  Parameters:
    `newForProxyUpdate` - the new value of the 'For Proxy Update' attribute.
  See Also:
    `SybaseASECatalog.isForProxyUpdate()`

### getCache

    public SybaseASECache getCache()

  Specified by:
    `getCache` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Cache' reference.
  See Also:
    `SybaseASECatalog.setCache(SybaseASECache)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_Cache()`

### basicGetCache

    public SybaseASECache basicGetCache()

### setCache

    public void setCache(SybaseASECache newCache)

  Specified by:
    `setCache` in interface `SybaseASECatalog`
  Parameters:
    `newCache` - the new value of the 'Cache' reference.
  See Also:
    `SybaseASECatalog.getCache()`

### getCatalogType

    public SybaseASECatalogType getCatalogType()

  Specified by:
    `getCatalogType` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Catalog Type' attribute.
  See Also:
    `SybaseASECatalogType`, `SybaseASECatalog.setCatalogType(SybaseASECatalogType)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_CatalogType()`

### setCatalogType

    public void setCatalogType(SybaseASECatalogType newCatalogType)

  Specified by:
    `setCatalogType` in interface `SybaseASECatalog`
  Parameters:
    `newCatalogType` - the new value of the 'Catalog Type' attribute.
  See Also:
    `SybaseASECatalogType`, `SybaseASECatalog.getCatalogType()`

### getLogIOSize

    public int getLogIOSize()

  Specified by:
    `getLogIOSize` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Log IO Size' attribute.
  See Also:
    `SybaseASECatalog.setLogIOSize(int)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_LogIOSize()`

### setLogIOSize

    public void setLogIOSize(int newLogIOSize)

  Specified by:
    `setLogIOSize` in interface `SybaseASECatalog`
  Parameters:
    `newLogIOSize` - the new value of the 'Log IO Size' attribute.
  See Also:
    `SybaseASECatalog.getLogIOSize()`

### getRecoveryOrder

    public int getRecoveryOrder()

  Specified by:
    `getRecoveryOrder` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Recovery Order' attribute.
  See Also:
    `SybaseASECatalog.setRecoveryOrder(int)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_RecoveryOrder()`

### setRecoveryOrder

    public void setRecoveryOrder(int newRecoveryOrder)

  Specified by:
    `setRecoveryOrder` in interface `SybaseASECatalog`
  Parameters:
    `newRecoveryOrder` - the new value of the 'Recovery Order' attribute.
  See Also:
    `SybaseASECatalog.getRecoveryOrder()`

### getAuthorizationIds

    public org.eclipse.emf.common.util.EList getAuthorizationIds()

  Specified by:
    `getAuthorizationIds` in interface `SybaseASECatalog`
  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_AuthorizationIds()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`